.preloader-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #ffffff;
  z-index: 9999;
  display: flex;
  justify-content: center;
  align-items: center;
}
.ProgressIndicator {
  background: image-set(attr(data-logo-url)) center/80% no-repeat;
  display: block;
  height: 243px;
  width: 243px;
  position: relative;
  border-radius: 50%;
  border: 4px solid #00000090;
  max-width: 40vw;
  max-height: 40vw;
}

.ProgressIndicator::before {
  content: "";
  display: block;
  position: absolute;
  border-radius: 50%;
  z-index: 1;
  width: 50px;
  height: 50px;
  background: image-set(attr(data-plane-url)) center/contain no-repeat;
  -webkit-animation: 3s linear infinite move-in-circle;
  animation: 3s linear infinite move-in-circle;
  offset-path: circle(calc(50% - 4px) at center);
}

@keyframes move-in-circle {
  0% {
    offset-distance: 0%;
  }
  100% {
    offset-distance: 100%;
  }
}
